summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSteven Chamberlain <steven@pyro.eu.org>2016-10-10 21:47:37 +0100
committerHolger Levsen <holger@layer-acht.org>2016-10-10 23:01:54 +0200
commitd4edcceeb14e02a9595a20e4b0bd49b014b0341b (patch)
treedaa1004f13dd2b6a28f337a027227c35205bba91
parentfa310f140dbcaeb7dbaf33e392ffec693baffeba (diff)
downloadjenkins.debian.net-d4edcceeb14e02a9595a20e4b0bd49b014b0341b.tar.xz
reproducible Debian: send buildinfos to 3rd-party archive
Submit the buildinfo files to a third-party archive. Initially only buildinfo.kfreebsd.eu, which is a first prototype of a public buildinfo archive / sig-repo service. Signed-off-by: Holger Levsen <holger@layer-acht.org>
-rwxr-xr-xbin/reproducible_build.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index cf253943..fe87b232 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -772,6 +772,14 @@ check_buildinfo() {
rm -f $TMPFILE1 $TMPFILE2
}
+share_buildinfo() {
+ # Submit the buildinfo files to third-party archives:
+
+ # buildinfo.kfreebsd.eu administered by Steven Chamberlain <steven@pyro.eu.org>
+ mail -s "buildinfo from $NODE1" submit@buildinfo.kfreebsd.eu < ./b1/$BUILDINFO || true
+ mail -s "buildinfo from $NODE2" submit@buildinfo.kfreebsd.eu < ./b2/$BUILDINFO || true
+}
+
build_rebuild() {
FTBFS=1
mkdir b1 b2
@@ -876,6 +884,7 @@ if [ $FTBFS -eq 1 ] ; then
handle_ftbfs
elif [ $FTBFS -eq 0 ] ; then
call_diffoscope_on_buildinfo_files # defines DIFFOSCOPE, update_db_and_html defines STATUS
+ share_buildinfo
fi
print_out_duration